package com.jeeplus.modules.projectplanweekly.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.projectrecord.entity.ProjectPlanInfo;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;
import org.omg.CORBA.PRIVATE_MEMBER;

import java.util.Date;

public class ProjectPlanWeekly extends DataEntity<ProjectPlanWeekly> {
    private Date beginDate; //开始时间
    private Date endDate; //结束时间
    private String projectId; //项目id
    private String weeklyStatus; //0-为完成工作计划
    private String remarksStatus; //备注状态
    private String remarksReason; //备注原因
    private String officeId;
    private String companyId;
    private String projectUserId;//项目负责人id
    private String principalUserName;//负责人名称

    private String btnAgent;//按钮控制

    public String getBtnAgent() {
        return btnAgent;
    }

    public void setBtnAgent(String btnAgent) {
        this.btnAgent = btnAgent;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    private ProjectRecords projectRecords;

    public ProjectRecords getProjectRecords() {
        return projectRecords;
    }

    public void setProjectRecords(ProjectRecords projectRecords) {
        this.projectRecords = projectRecords;
    }

    private User user;
    private Office office;

    public String getCompanyId() {
        return companyId;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }
    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getWeeklyStatus() {
        return weeklyStatus;
    }

    public void setWeeklyStatus(String weeklyStatus) {
        this.weeklyStatus = weeklyStatus;
    }

    public String getRemarksStatus() {
        return remarksStatus;
    }

    public void setRemarksStatus(String remarksStatus) {
        this.remarksStatus = remarksStatus;
    }

    public String getRemarksReason() {
        return remarksReason;
    }

    public void setRemarksReason(String remarksReason) {
        this.remarksReason = remarksReason;
    }

    public String getProjectUserId() {
        return projectUserId;
    }

    public void setProjectUserId(String projectUserId) {
        this.projectUserId = projectUserId;
    }

    public String getPrincipalUserName() {
        return principalUserName;
    }

    public void setPrincipalUserName(String principalUserName) {
        this.principalUserName = principalUserName;
    }
}
